<template>
  <div v-if="desserts">
    <h1 class="ml-2">Les desserts</h1>
    <b-col cols="12" class="mx-auto" style="width: 600px;">
      <div v-for="dessert in desserts" :key="dessert.id">
        <b-card
          no-body
          class="overflow-hidden m-2 mb-16"
          style="max-width: 540px;"
        >
          <b-row no-gutters>
            <b-col md="6">
              <b-card-body>
                <b-card-text>
                  <h1>{{ dessert.name_dish }}</h1>
                  <p>{{ dessert.description_dish }}</p>
                  <p>{{ dessert.price_dish }}</p>
                  <p>{{ dessert.allergens_dish }}</p>
                  <p>{{ dessert.weight_dish }}</p>
                  <p>{{ dessert.nutritional_values_dish }}</p>
                </b-card-text>
                <b-form-rating
                  v-model="value"
                  variant="warning"
                  show-value
                ></b-form-rating>
              </b-card-body>
              <div>
                <b-button
                  @click="addToCartDessert(dessert)"
                  variant="outline-primary"
                  class="m-2"
                  href="#"
                  >Sélectionner</b-button
                >
                <b-button @click="detailDessert(dessert)"
                  >Détail du plat</b-button
                >
              </div>
            </b-col>
            <b-col md="6">
              <img class="img" :src="dessert.picture_link" />
            </b-col>
          </b-row>
        </b-card>
      </div>

      <b-modal :id="'modal_3'" scrollable>
        <h1>{{ dessert_modal_3.name_dish }}</h1>
        <img class="img" :src="dessert_modal_3.picture_link" />
        <p class="my-4">
          {{ dessert_modal_3.description_dish }}
        </p>
        <p class="my-4">
          {{ dessert_modal_3.price_dish }}
        </p>
        <p class="my-4">
          {{ dessert_modal_3.allergens_dish }}
        </p>
        <p class="my-4">
          {{ dessert_modal_3.weight_dish }}
        </p>
        <p>{{ dessert_modal_3.nutritional_values_dish }}</p>
      </b-modal>
    </b-col>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dessert_modal_3: {}
    }
  },
  value: null,
  created() {
    this.$store.dispatch("getDessert");
  },
  computed: {
    desserts() {
      return this.$store.state.dessert;
    },
  },
  methods: {
    addToCartDessert(dessert) {
      this.$store
        .dispatch("updateCartDessert", dessert)
        .then(() => console.log(this.$store.state.cart));
    },
    detailDessert(dessert) {
      console.log(dessert);
      this.dessert_modal_3 = dessert;
      this.$bvModal.show("modal_3");
    },


  },
};
</script>

<style scoped>
.img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
</style>
